Vulcan

博客迁至http://www.blogjava.net/vulcan

用sysdeo的tomcatplugin整合最新版的eclipse 3.0和Tomcat5.0.27,构建jsp环境

 一直用eclipse写java,日前开始学习jsp,可是eclipse并没有提到支持jsp,而且在文件关联里没有关联到jsp文件,更不用说文本变色和代码自动提示了.用google搜索才知道了结合tomcatplugin,可以lomboz可以让eclipse完美的支持jsp并且把tomcat服务器集成到了其中.但是比较令人失望的是我所能找到的文章都太老,现在都不能找到相应的比较老的版本了.用接近的版本来配置多次努力尝试还是不行,后来索性按照它们官方网站上的版本对应关系,自己来配置了,整整一天的时间,到了昨晚12:00的时候总算配置好了.为了能让有心做jsp的eclipse使用者不走这条弯路,特写此文,共勉.

首先准备我们需要的各个软件(目前最新稳定发行版本,2004-7-27):

j2sdk1.4.2 http://java.sun.com/j2se

eclipse3.0 build 2004 http://www.eclipse.org/downloads/index.php

jakarta-tomcat-5.0.27 http://jakarta.apache.org/site/binindex.cgi

tomcatplugin v3 http://www.sysdeo.com/eclipse/tomcatPlugin.html

lomboz3.01 http://forge.objectweb.org/project/showfiles.php?group_id=97

现在我们就开始我们的集成过程:以我在磁盘上的安装路径为例:

eclipse解压到d:/eclipse;tomcatplugin和lomboz都解压到eclipse相应的plugin或feature文件夹中

tomcat解压到c:/tomcat? 设置tomcat的环境变量:CALALINA_HOME=C:/tomcat

JAVA_HOME=c:/j2sdk??? 在c:/tomcat/bin下启动startup.bat测试能否正常运行。

j2sdk安装到c:/j2sdk文件夹中,jre默认安装路径C:/Program Files/Java/j2re1.4.2_05,可以改但是这都无关紧要.设定环境变量path=c:/j2sdk/bin

也就是说在这一切工作之前 你必须保证tomcat和jdk都能正常使用

启动eclipse

打开:window>>Preferences

点tomcat按图中设置,点Apply.如果你的安展路径改变了则需做相应调整.

 

没有设置这个是我以前配置不成功的失败所在,后来自习查看了出错信息之后才知道的.如果不配置这一项,tomcat也能在eclipse中启动,还能浏览示例页面,(因为那些页面是编译好的),但是它不能编译jsp,出错信息说找不到相关的类.

其他的默认,点确定.

关于lomboz的配置在这就不说了,本来lomboz就能独立的与eclipse完成jsp和j2ee环境的搭建,但是配置总出错,在集成环境内启动不了tomcat,提示出错.

但是为什么我们又要装它呢?因为它的jsp editor我们能在编辑jsp时看到文本变色和自动提示功能就靠它了.看下面的图就是它的配置首选项了,它的问题我还没有找到原因,还在探索之中但是如果那位配置成功了,请联系我.

下面是用lomboz下启动tomcat的出错信息:

Bootstrap: Class loader creation threw exception
java.lang.ExceptionInInitializerError
at org.apache.catalina.loader.StandardClassLoader.(StandardClassLoader.java:207)
at org.apache.catalina.startup.ClassLoaderFactory.createClassLoader(ClassLoaderFactory.java:189)
at org.apache.catalina.startup.Bootstrap.createClassLoader(Bootstrap.java:160)
at org.apache.catalina.startup.Bootstrap.initClassLoaders(Bootstrap.java:104)
at org.apache.catalina.startup.Bootstrap.init(Bootstrap.java:193)
at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:399)
Caused by: org.apache.commons.logging.LogConfigurationException: org.apache.commons.logging.LogConfigurationException: java.lang.NullPointerException (Caused by java.lang.NullPointerException) (Caused by org.apache.commons.logging.LogConfigurationException: java.lang.NullPointerException (Caused by java.lang.NullPointerException))
at org.apache.commons.logging.impl.LogFactoryImpl.newInstance(LogFactoryImpl.java:543)
at org.apache.commons.logging.impl.LogFactoryImpl.getInstance(LogFactoryImpl.java:235)
at org.apache.commons.logging.impl.LogFactoryImpl.getInstance(LogFactoryImpl.java:209)
at org.apache.commons.logging.LogFactory.getLog(LogFactory.java:351)
at org.apache.tomcat.util.compat.JdkCompat.(JdkCompat.java:55)
... 6 more
Caused by: org.apache.commons.logging.LogConfigurationException: java.lang.NullPointerException (Caused by java.lang.NullPointerException)
?at org.apache.commons.logging.impl.LogFactoryImpl.getLogConstructor(LogFactoryImpl.java:397)
at org.apache.commons.logging.impl.LogFactoryImpl.newInstance(LogFactoryImpl.java:529)
... 10 more
Caused by: java.lang.NullPointerException
at org.apache.commons.logging.impl.LogFactoryImpl.getLogConstructor(LogFactoryImpl.java:374)
... 11 more

先不管这些我们来继续我们的配置:

新建一个project 选择tomcat project???? 我的工程名叫TomcatProject

一路默认next

右键单击工程TomcatProject? 新建一个文件index.jsp

在index.jsp中写测试代码

<%@ page import="java.util.*"%>
<%
out.println(new Date());
out.print("hello world,new jsp programer");
%>

点击工具兰中的tomcat图标启动tomcat可以看到正确的提示信息

然后打开浏览器在地址栏中输入http://localhost:8080/TomcatProject/ 也就是你的本地服务器加上你的工程名,注意区分大小写。

这样也就大功告成了

你会在浏览器中看到: Wed Jul 28 13:53:50 CST 2004 hello world,new jsp programer

好了,总算是写完了,水平有限,请大家指点,关于lomboz的问题还请高手专家指教。我觉得lomboz比tomcatplugin要好,它能在eclipse中完成工程的部署 卸载 服务器的启动 还有工程的调试浏览

它支持j2ee开发,我们在文章中的jsp 代码编辑器也是靠它了 如果它配置好了 那么就没有必要要tomcatplugin了。另外欢迎各位与我就java问题讨论和联系:yi_can@163.com

阅读更多
个人分类: Eclipse相关
想对作者说点什么? 我来说一句

sysdeo tomcat plugin 4.0.0

2017年10月08日 137KB 下载

com.sysdeo.eclipse.tomcat_3.5.0

2016年04月01日 149KB 下载

com.sysdeo.eclipse.tomcat 3.5.1

2016年05月31日 198KB 下载

Eclipse tomcat插件 tomcatPlugin

2017年11月27日 315KB 下载

Sysdeo Eclipse Tomcat

2013年01月28日 365KB 下载

没有更多推荐了,返回首页

不良信息举报

用sysdeo的tomcatplugin整合最新版的eclipse 3.0和Tomcat5.0.27,构建jsp环境

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭